Home Support Projectors BrightLink Series Epson BrightLink 685Wi

Do the projector's interactive features work with Linux?

  • Yes, they work with Linux Ubuntu 14.10, 15.04, 15.10, and 16.04 systems. The Ubuntu drivers support interactivity; there is no additional driver installation needed.

    Note: The Easy Interactive Tools software, Easy Interactive Driver, and Duolink are not supported with Linux. For robust interactivity, you need third-party Linux-compatible interactive software (not included with the projector).

Published:  May 25, 2017 Was this helpful​? Thank you for the feedback!
Please tell us why this was not helpful.​
Please enter a valid email address